<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2009, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->
<device name="Android">
  <!-- All values are in mA except as noted -->
  <item name="none">0</item>
  <item name="screen.on">58</item> <!-- min brite -->
  <item name="bluetooth.active">97</item>
  <item name="bluetooth.on">0.6</item>
  <item name="bluetooth.at">0.6</item> <!-- TBD -->
  <item name="screen.full">292</item> <!-- backlight 16 leds -->
  <item name="wifi.on">0.6</item>
  <item name="wifi.active">139</item>
  <item name="wifi.scan">146</item>
  <item name="dsp.audio">43</item> <!-- k3v5 -->
  <item name="dsp.video">176</item>
  <item name="radio.active">190</item>
  <item name="gps.on">70</item>
  <item name="battery.capacity">7250</item> <!-- 7250mAh -->
  <item name="radio.scanning">65</item> <!-- TBD -->
  <!-- Current consumed by the radio at different signal strengths, when paging  -->
  <array name="radio.on"> <!-- 1 entry per signal strength bin, TBD -->
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
  </array>
  <array name="cpu.clusters.cores">
    <value>4</value>
    <value>3</value>
    <value>1</value>
  </array>
  <array name="cpu.core_speeds.cluster0">
    <value>500000</value> <!-- 500 MHz CPU speed -->
    <value>600000</value> <!-- 600 MHz CPU speed -->
    <value>675000</value> <!-- 675 MHz CPU speed -->
    <value>750000</value> <!-- 750 MHz CPU speed -->
    <value>850000</value> <!-- 850 MHz CPU speed -->
    <value>925000</value> <!-- 925 MHz CPU speed -->
    <value>1000000</value> <!-- 1.00 GHz CPU speed -->
    <value>1075000</value> <!-- 1.07 GHz CPU speed -->
    <value>1250000</value> <!-- 1.25 GHz CPU speed -->
    <value>1350000</value> <!-- 1.35 GHz CPU speed -->
    <value>1450000</value> <!-- 1.45 GHz CPU speed -->
    <value>1525000</value> <!-- 1.52 GHz CPU speed -->
    <value>1625000</value> <!-- 1.62 GHz CPU speed -->
    <value>1725000</value> <!-- 1.72 GHz CPU speed -->
    <value>1800000</value> <!-- 1.80 GHz CPU speed -->
    <value>2000000</value> <!-- 2.00 GHz CPU speed -->
  </array>
  <array name="cpu.core_speeds.cluster1">
    <value>437000</value> <!-- 437 MHz CPU speed -->
    <value>700000</value> <!-- 700 MHz CPU speed -->
    <value>902000</value> <!-- 902 MHz CPU speed -->
    <value>1046000</value> <!-- 1.04 GHz CPU speed -->
    <value>1162000</value> <!-- 1.16 GHz CPU speed -->
    <value>1335000</value> <!-- 1.33 GHz CPU speed -->
    <value>1451000</value> <!-- 1.45 GHz CPU speed -->
    <value>1537000</value> <!-- 1.54 GHz CPU speed -->
    <value>1624000</value> <!-- 1.62 GHz CPU speed -->
    <value>1740000</value> <!-- 1.74 GHz CPU speed -->
    <value>1855000</value> <!-- 1.85 GHz CPU speed -->
    <value>1985000</value> <!-- 1.98 GHz CPU speed -->
    <value>2200000</value> <!-- 2.20 GHz CPU speed -->
    <value>2354000</value> <!-- 2.35 GHz CPU speed -->
    <value>2507000</value> <!-- 2.51 GHz CPU speed -->
    <value>2600000</value> <!-- 2.60 GHz CPU speed -->
  </array>
  <array name="cpu.core_speeds.cluster2">
    <value>659000</value> <!-- 659 MHz CPU speed -->
    <value>921000</value> <!-- 921 MHz CPU speed -->
    <value>1108000</value> <!-- 1.10 GHz CPU speed -->
    <value>1258000</value> <!-- 1.26 GHz CPU speed -->
    <value>1370000</value> <!-- 1.37 GHz CPU speed -->
    <value>1482000</value> <!-- 1.48 GHz CPU speed -->
    <value>1632000</value> <!-- 1.63 GHz CPU speed -->
    <value>1745000</value> <!-- 1.75 GHz CPU speed -->
    <value>1820000</value> <!-- 1.82 GHz CPU speed -->
    <value>1938000</value> <!-- 1.94 GHz CPU speed -->
    <value>2032000</value> <!-- 2.03 GHz CPU speed -->
    <value>2127000</value> <!-- 2.13 GHz CPU speed -->
    <value>2292000</value> <!-- 2.29 GHz CPU speed -->
    <value>2410000</value> <!-- 2.41 GHz CPU speed -->
    <value>2529000</value> <!-- 2.53 GHz CPU speed -->
    <value>2600000</value> <!-- 2.60 GHz CPU speed -->
  </array>  
  <!-- Power consumption in suspend -->
  <item name="cpu.idle">5</item> <!-- k3v5 -->
  <!-- Power consumption due to wake lock held -->
  <item name="cpu.awake">21</item> <!-- k3v5 -->
  <!-- Power consumption at different speeds -->
  <array name="cpu.core_power.cluster0">
    <value>54</value>  <!-- 500 MHz CPU speed -->
    <value>58</value>  <!-- 600 MHz CPU speed -->
    <value>62</value>  <!-- 675 MHz CPU speed -->
    <value>69</value>  <!-- 750 MHz CPU speed -->
    <value>74</value>  <!-- 850 MHz CPU speed -->
    <value>80</value>  <!-- 925 MHz CPU speed -->
    <value>84</value>  <!-- 1.00 GHz CPU speed -->
    <value>90</value>  <!-- 1.07 GHz CPU speed -->
    <value>104</value> <!-- 1.25 GHz CPU speed -->
    <value>112</value> <!-- 1.35 GHz CPU speed -->
    <value>122</value> <!-- 1.45 GHz CPU speed -->
    <value>130</value> <!-- 1.52 GHz CPU speed -->
    <value>141</value> <!-- 1.62 GHz CPU speed -->
    <value>152</value> <!-- 1.72 GHz CPU speed -->
    <value>161</value> <!-- 1.80 GHz CPU speed -->
    <value>189</value> <!-- 2.00 GHz CPU speed -->
  </array>
  <array name="cpu.core_power.cluster1">
    <value>141</value>  <!-- 437 MHz CPU speed -->
    <value>200</value>  <!-- 700 MHz CPU speed -->
    <value>259</value>  <!-- 902 MHz CPU speed -->
    <value>308</value>  <!-- 1.04 GHz CPU speed -->
    <value>349</value>  <!-- 1.16 GHz CPU speed -->
    <value>413</value>  <!-- 1.33 GHz CPU speed -->
    <value>460</value>  <!-- 1.45 GHz CPU speed -->
    <value>496</value>  <!-- 1.54 GHz CPU speed -->
    <value>532</value>  <!-- 1.62 GHz CPU speed -->
    <value>579</value>  <!-- 1.74 GHz CPU speed -->
    <value>649</value>  <!-- 1.85 GHz CPU speed -->
    <value>727</value>  <!-- 1.98 GHz CPU speed -->
    <value>876</value>  <!-- 2.20 GHz CPU speed -->
    <value>1005</value> <!-- 2.35 GHz CPU speed -->
    <value>1113</value> <!-- 2.51 GHz CPU speed -->
    <value>1182</value> <!-- 2.60 GHz CPU speed -->
  </array>
  <array name="cpu.core_power.cluster2">
    <value>248</value>  <!-- 659 MHz CPU speed -->
    <value>348</value>  <!-- 921 MHz CPU speed -->
    <value>425</value>  <!-- 1.10 GHz CPU speed -->
    <value>491</value>  <!-- 1.26 GHz CPU speed -->
    <value>548</value>  <!-- 1.37 GHz CPU speed -->
    <value>601</value>  <!-- 1.48 GHz CPU speed -->
    <value>678</value>  <!-- 1.63 GHz CPU speed -->
    <value>744</value>  <!-- 1.75 GHz CPU speed -->
    <value>781</value>  <!-- 1.82 GHz CPU speed -->
    <value>879</value>  <!-- 1.94 GHz CPU speed -->
    <value>955</value>  <!-- 2.03 GHz CPU speed -->
    <value>1047</value> <!-- 2.13 GHz CPU speed -->
    <value>1199</value> <!-- 2.29 GHz CPU speed -->
    <value>1314</value> <!-- 2.41 GHz CPU speed -->
    <value>1449</value> <!-- 2.53 GHz CPU speed -->
    <value>1526</value> <!-- 2.60 GHz CPU speed -->
  </array>  
</device>